Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression
Class ExpressionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.p13n.exceptions.ApplicationException
                        |
                        +--com.bea.p13n.expression.ExpressionException

Direct Known Subclasses:
  ComparisonException, IntrospectionException, InvalidExpressionException, MethodCallException

public class ExpressionException
extends ApplicationException

Base class for all `Exception`s in the expression package.

See Also:
  Serialized Form

Constructor Summary
`ExpressionException(java.lang.String message)` Creates a `ExpressionException` using a given message.
`ExpressionException(java.lang.String message, java.lang.Throwable cause)` Creates a `ExpressionException` using a given message and a nested `Throwable`.

Methods inherited from class com.bea.p13n.exceptions.ApplicationException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionException

    public ExpressionException(java.lang.String message)

  Creates a `ExpressionException` using a given message.

  Parameters:
    `message` - the exception message.

### ExpressionException

    public ExpressionException(java.lang.String message,
                               java.lang.Throwable cause)

  Creates a `ExpressionException` using a given message and a nested `Throwable`.

  Parameters:
    `message` - the exception message.
    `cause` - the nested `Throwable`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved